FROM public.ecr.aws/lambda/python:3.10
# FROM python:3.11.10-bullseye

# Set working directory (Lambda task root)
WORKDIR /var/task

# -----------------------------
# Copy requirements FIRST (for Docker layer caching)
# -----------------------------
COPY etl/hubspot/scripts/scraper/handler/requirements.txt .

# Install dependencies into Lambda runtime
RUN pip install --no-cache-dir -r requirements.txt


# Copy necessary files for database and utility imports
COPY backend/ backend/
COPY utils/ utils/
COPY datatypes/ datatypes/
COPY etl/hubspot etl/hubspot

# Copy the handler
COPY etl/hubspot/scripts/scraper/main.py .

# -----------------------------
# Lambda handler
# -----------------------------
CMD ["main.handler"]